Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.framework
Class ComparisonFailure

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--junit.framework.AssertionFailedError
                        |
                        +--junit.framework.ComparisonFailure

All Implemented Interfaces:
  java.io.Serializable

public class ComparisonFailure
extends AssertionFailedError

Thrown when an assert equals for Strings failed. Inspired by a patch from Alex Chaffee mailto:alex@purpletech.com

See Also:
  Serialized Form

Constructor Summary
`ComparisonFailure(java.lang.String message, java.lang.String expected, java.lang.String actual)` Constructs a comparison failure.

Method Summary
`java.lang.String` | `getMessage()` Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparisonFailure

    public ComparisonFailure(java.lang.String message,
                             java.lang.String expected,
                             java.lang.String actual)

  Constructs a comparison failure.

Parameters:
  `message` - the identifying message or null
  `expected` - the expected string value
  `actual` - the actual string value

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  See Also:
    `Throwable.getMessage()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD